﻿/*
 * 19.10.11 Ersterstellung
 *          http://www.codeguru.com/csharp/.net/net_general/keyboard/article.php/c4639
 */

using System.Windows.Forms;

namespace UnresRef
{
    public class AcceleratorKey
    {
        private Keys key_ = Keys.None;

        public AcceleratorKey()
        {

        }

        public AcceleratorKey(Keys key)
        {
            key_ = key;
        }

        public Keys Key
        {
            get { return key_; }
            set { key_ = value; }
        }

        public override int GetHashCode()
        {
            return (int)key_;
        }

        public override bool Equals(object obj)
        {
            // It is unlikely that two hashcodes would
            // be equal... :)
            if (obj.GetHashCode() == (int)key_) return true;

            return false;
        }
    }
}
