﻿/* 
 *  TI Unresolved References 0.7
 *  Copyright (C) 2011  Ralph Schenn rschenn@t-online.de
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************
 *
 * 30.06.11 Ersterstellung
 *
 */

using System.Windows.Forms;

namespace UnresRef
{
    public partial class Content : Form
    {
        public Content()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Inhalt anzeigen
        /// </summary>
        /// <param name="name">Name der Funktion</param>
        /// <param name="src">Quellcode der Funktion</param>
        public void SetText(string name, string src)
        {
            // Name in Titelleiste anzeigen
            this.Text = name;

            // Quellcode in TextBox anzeigen
            tbContent.Text = src;

            // Auswahl aufhaben
            tbContent.Select(0, 0);
        }
    }
}
